Page MenuHomePhabricator

Android app is hitting the action API "too-many-titles-for-query" deprecation warning
Closed, ResolvedPublic

Description

Over the past 7 days, there have been around 99419 hits on the "too-many-titles-for-query" deprecation warning from user agents starting with "WikipediaApp", for example "WikipediaApp/2.4.184-r-2016-12-14 (Android 6.0.1; Phone) Google Play". For those with access to Kibana, see this dashboard.

For most users,[1] a maximum of 50 titles may be specified for the titles parameter. Titles in excess of 50 are ignored with a warning, although someday I'd like to make that an error. If you have more than 50 titles to query, you should query them in batches. This limit applies to other multi-valued parameters as well.

The queries being made seem to mostly resemble action=query&format=json&titles=...&continue=&prop=pageimages%7Cpageterms&piprop=thumbnail&pithumbsize=320&pilimit=...

[1]: Users with the apihighlimits right have a limit of 500 rather than 50.

Event Timeline

Anomie created this task.Jan 17 2017, 4:50 PM
Restricted Application added a subscriber: Aklapper. Ā· View Herald Transcript
Mholloway reopened this task as Open.Jan 31 2017, 10:38 AM
Mholloway added a subscriber: Mholloway.

Reopening per T155393#2982310. This is a separate issue, not a duplicate.

Mholloway updated the task description. (Show Details)Jan 31 2017, 2:26 PM
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Jan 31 2017, 2:31 PM

Change 337508 had a related patch set uploaded (by Mholloway):
Retrofit ReadingListPageInfoTask and update caller to query in batches

https://gerrit.wikimedia.org/r/337508

Change 337508 merged by jenkins-bot:
[apps/android/wikipedia] Retrofit ReadingListPageInfoTask and update caller to query in batches

https://gerrit.wikimedia.org/r/337508

Dbrant closed this task as Resolved.Apr 3 2017, 3:30 PM
Anomie added a comment.Apr 3 2017, 4:02 PM

Looking at the kibana dashboard linked in the description, I'm still seeing hits to this warning from agents such as "WikipediaApp/2.5.191-r-2017-03-31 (Android 7.0; Phone) Google Play". Does the 2017-03-31 version not include the fix merged on 2017-03-15?

Dbrant added a subscriber: Dbrant.Apr 3 2017, 4:06 PM

Sorry, not yet. The release on 2017-03-31 was a hotfix update that just contained one cherry-picked critical fix. Our next production release (within the next week or so) will contain the fix in this task.

Anomie added a comment.Apr 3 2017, 4:31 PM

Ok, I was just checking in case the 2017-03-31 version did contain the patch but it somehow didn't (completely) fix the bug.

Just checked the dashboard and confirmed the latest release isn't showing up in the logs.

Mholloway updated the task description. (Show Details)Apr 28 2017, 9:34 PM